gdcm::MeshPrimitive Class Reference

This class defines surface mesh primitives. More...

`#include <gdcmMeshPrimitive.h>`

Inheritance diagram for gdcm::MeshPrimitive:
[legend]
Collaboration diagram for gdcm::MeshPrimitive:
[legend]

## Public Types

enum | MPType { VERTEX = 0 , EDGE , TRIANGLE , TRIANGLE_STRIP , TRIANGLE_FAN , LINE , FACET , MPType_END }
| This enumeration defines primitive types. More...
typedef std::vector< DataElement > | PrimitivesData

## Public Member Functions

| MeshPrimitive ()
| ~MeshPrimitive () override
void | AddPrimitiveData (DataElement const &de)
unsigned int | GetNumberOfPrimitivesData () const
DataElement & | GetPrimitiveData ()
const DataElement & | GetPrimitiveData () const
DataElement & | GetPrimitiveData (const unsigned int idx)
const DataElement & | GetPrimitiveData (const unsigned int idx) const
PrimitivesData & | GetPrimitivesData ()
const PrimitivesData & | GetPrimitivesData () const
MPType | GetPrimitiveType () const
void | SetPrimitiveData (const unsigned int idx, DataElement const &de)
void | SetPrimitiveData (DataElement const &de)
void | SetPrimitivesData (PrimitivesData const &DEs)
void | SetPrimitiveType (const MPType type)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static MPType | GetMPType (const char *type)
static const char * | GetMPTypeString (const MPType type)

## Protected Attributes

PrimitivesData | PrimitiveData
MPType | PrimitiveType

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines surface mesh primitives.

It is designed from surface mesh primitives macro.

See also
  PS 3.3 C.27.4

## Member Typedef Documentation

## PrimitivesData

typedef std::vector< DataElement > gdcm::MeshPrimitive::PrimitivesData

## Member Enumeration Documentation

## MPType

enum gdcm::MeshPrimitive::MPType

This enumeration defines primitive types.

See also
  PS 3.3 C.27.4.1

Enumerator
VERTEX |
EDGE |
TRIANGLE |
TRIANGLE_STRIP |
TRIANGLE_FAN |
LINE |
FACET |
MPType_END |

## Constructor & Destructor Documentation

## MeshPrimitive()

gdcm::MeshPrimitive::MeshPrimitive | ( |  | ) |

## ~MeshPrimitive()

gdcm::MeshPrimitive::~MeshPrimitive | ( |  | ) |

override

## Member Function Documentation

## AddPrimitiveData()

void gdcm::MeshPrimitive::AddPrimitiveData | ( | DataElement const & | de | ) |

## GetMPType()

MPType gdcm::MeshPrimitive::GetMPType | ( | const char * | type | ) |

static

## GetMPTypeString()

const char * gdcm::MeshPrimitive::GetMPTypeString | ( | const MPType | type | ) |

static

## GetNumberOfPrimitivesData()

unsigned int gdcm::MeshPrimitive::GetNumberOfPrimitivesData | ( |  | ) | const

## GetPrimitiveData() [1/4]

DataElement & gdcm::MeshPrimitive::GetPrimitiveData | ( |  | ) |

## GetPrimitiveData() [2/4]

const DataElement & gdcm::MeshPrimitive::GetPrimitiveData | ( |  | ) | const

## GetPrimitiveData() [3/4]

DataElement & gdcm::MeshPrimitive::GetPrimitiveData | ( | const unsigned int | idx | ) |

## GetPrimitiveData() [4/4]

const DataElement & gdcm::MeshPrimitive::GetPrimitiveData | ( | const unsigned int | idx | ) | const

## GetPrimitivesData() [1/2]

PrimitivesData & gdcm::MeshPrimitive::GetPrimitivesData | ( |  | ) |

## GetPrimitivesData() [2/2]

const PrimitivesData & gdcm::MeshPrimitive::GetPrimitivesData | ( |  | ) | const

## GetPrimitiveType()

MPType gdcm::MeshPrimitive::GetPrimitiveType | ( |  | ) | const

## SetPrimitiveData() [1/2]

void gdcm::MeshPrimitive::SetPrimitiveData | ( | const unsigned int | idx,
|  | DataElement const & | de )

## SetPrimitiveData() [2/2]

void gdcm::MeshPrimitive::SetPrimitiveData | ( | DataElement const & | de | ) |

## SetPrimitivesData()

void gdcm::MeshPrimitive::SetPrimitivesData | ( | PrimitivesData const & | DEs | ) |

## SetPrimitiveType()

void gdcm::MeshPrimitive::SetPrimitiveType | ( | const MPType | type | ) |

## Member Data Documentation

## PrimitiveData

PrimitivesData gdcm::MeshPrimitive::PrimitiveData

protected

## PrimitiveType

MPType gdcm::MeshPrimitive::PrimitiveType

protected

The documentation for this class was generated from the following file:

- gdcmMeshPrimitive.h